WordPress Zingiri Web Shop bővítmény sérülékenység

CH azonosító

CH-7127

Angol cím

WordPress Zingiri Web Shop Plugin "abspath" Remote File Inclusion Vulnerability

Felfedezés dátuma

2012.07.01.

Súlyosság

Magas

Érintett rendszerek

WordPress
Zingiri Web Shop plugin

Érintett verziók

WordPress Zingiri Web Shop Plugin 2.x

Összefoglaló

A WordPress Zingiri Web Shop bővítményének olyan sérülékenységét jelentették, amelyet a támadók kihasználva feltörhetik a sérülékeny rendszert.

Leírás

Az “abspath” paraméter által átadott bemeneti adatok a wp-content/plugins/zingiri-web-shop/fws/download.php részére nincsenek megfelelően ellenőrizve, mielőtt fájlok befoglalásához felhasználásra kerülne. Ez kihasználható tetszőleges helyi vagy külső erőforrásokból való fájlok befoglalásához.

A sérülékenységet a 2.4.6 verzióban jelentették, de más kiadások is érintettek lehetnek.

Megoldás

Frissítsen a legújabb verzióra